#ifndef _DATUM_PROTO_
#define _DATUM_PROTO_
#ifdef __MWERKS__
#pragma once
#endif



/* datum.c */
char *SizeDatums(struct sarray *arrayp, long size);
void InitDatumPool(void);
void FreeNodeList(long list);
long NodeListLen(long list);
long CopyNodeList(long list);
long NewNode(int order);
long MergeNodeLists(long list1, long list2);
int CompareIndices(DerivPtr d1, DerivPtr d2);
int CompareVars(DerivPtr d1, DerivPtr d2);
int CmpNodeVars(long node1, long node2, int i, int j);
int CompareNodes(long node1, long node2);
ArrayBlockPtr InitArrayBlock(ArrayBlockPtr a, long nelems, short *dim);
ArrayBlockPtr NewArrayBlock(short *dim);
void FreeArrayNodes(long list);
long ArrayNodeLen(long list);
void DumpNodeList(FILE *file, long list);
void DumpNode(FILE *file, long list);

#endif

