
/*
**	make_table - midas table for pipeline
*/

#include "cjoin.h"
#include "defines.h"
#include <stdio.h>
#include <ctype.h>



MIDAS *make_table(argc,argv) /* main routine for other computers */
/* arguments are input and output table names */
int argc;
char *argv[];
{
	char ofname[25], ifname[25], ifname1[25];
	int errstat = 0;
	MIDAS *join_open();

/* get files to input and name of table */
	/* default to single file processing */
	strcpy (ifname1,"0");

	if(argc == 4) { /* all filenames were supplied */
		strcpy(ifname,argv[1]);
		strcpy(ifname1,argv[2]);
		strcpy(ofname,argv[3]);
	} 
	else if (argc == 3)
	{ /* two filenames were supplied */
		/* get env filename */
		getfilename("\nEnter the output filename: ",ofname);
		strcpy(ifname,argv[1]);
		strcpy(ifname1,argv[2]);
	}
	else if (argc == 2)
	{ /* one filenames were supplied */
		/* get second input filename */
		getfilename("\nEnter the second input filename(or 0 for single file processing): " ,ifname1); 
		/* get output filename */
		getfilename("\nEnter the output filename: ",ofname);
		strcpy(ifname,argv[1]);
	}
	else { /* no filenames were supplied */
		/* get input filename */
		getfilename("\nEnter the input filename: ",ifname); 
		/* get second input filename */
		getfilename("\nEnter the second input filename(or 0 for single file processing): ", ifname1);
		/* get the output filename */
		getfilename("\nEnter the output filename: ",ofname);
	}

	return(join_open(ifname,ifname1,ofname));

}

getfilename(prompt,s) /* get a filename */
char *prompt;
char *s;
{
	do /* repeat until a legal name is supplied */
	{
		printf(prompt); /* print the prompt */
		gets(s); /* get the response */
		printf ("%s\n",s); /* print the response */
	} 
	while (s[0] == 0); /* condition is that non-null string has been entered */
}
