/*
	GaussFit - A System for Least Squares and Robust Estimation

	Source Code Copyright (C) 1987 by William H. Jefferys,
	Michael J. Fitzpatrick and Barbara E. McArthur
	All Rights Reserved.
*/

/* Print error messages */

#include "defines.h"
#include <stdio.h>


fatalerror(s,t) /* print a fatal error message */
char *s;  /* a format string */
char *t;  /* any string */
{
	printf("\n************   FATAL ERROR    **************** \n");
	printf(s,t);
	exit(0);
}

fatalerrori(s,t) /* print a fatal error message */
char *s;  /* a format string */
int t;  /* any string */
{
	printf("\n************   FATAL ERROR    **************** \n");
	printf(s,t);
	exit(0);
}
warningerror(s,t) /* print a warning error message */
char *s;  /* a format string */
char *t;  /* any string */
{
	printf("\n************   WARNING ERROR    **************** \n");
	printf(s,t);
}

warningerrori(s,t) /* print a warning error message */
char *s;  /* a format string */
int t;  /* any integer */
{
	printf("\n************   WARNING ERROR    **************** \n");
	printf(s,t);
}

warningerrori2(s,s1,t1,s2,t2) /* print a warning error message */
char *s;  /* a format string */
int t1,t2;  /* any integer */
char *s1, *s2; /* any character string */
{
	printf("\n************   WARNING ERROR    **************** \n");
	printf(s,s1,t1,s2,t2);
}
