
#include "defines.h"
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <malloc.h>



char *MemAlloc(s,size)/* Allocate 'size' bytes */
char *s;
int size;
{
	void *x;
	int abs();
	size_t sz;
	
	sz = (size_t)size;

	if (abs(size) > 1E8)
		fatalerror("Size is greater than 2E32 --%s\n",s);
		/* error if not enough memory */
	if((x = malloc(sz)) == NULL) /* Allocate the memory */
			fatalerror("Memory Manager Error in Allocation--%s\n",s); /* error if not enough memory */
	return (char*)x;
}

char *Reallocate(s,size,spointer)/* use for both initial and reallocation */
char *s, *spointer;
int size;
{
	void *x;
	int abs();
	size_t sz;
	
	sz = (size_t)size;

	if (abs(size) > 1E8)
		fatalerror("Size is greater than 2E32 --%s\n",s);

	if ((x = realloc((void*)spointer,sz)) == NULL)/* reallocate rowarray */
			fatalerror("Memory Manager Error in Reallocation. Allocated pointer is NULL. --%s\n",s);
	return (char*)x;
}


int freespace(s)/* Free allocated bytes */
char *s;
{
	
	free((void*)s);
}
