
#include "cjoin.h"
#include "def.h"
#include <stdio.h>
#include "strings.h"
#include <ctype.h>
#include "defines.h"


char *getword(line,word) /* get the next word from line and remove it from line
*/
char *line, *word;
{
        int i ,status,numtabs = 0;

        for (i=0;i<(LSTRLEN-1);i++) /*  for the length of the word */
                word[i] = ' '; /* set the word to blank */

        if ((*line == '\n') || (*line == '\0')) return NULL; /* if end of line o
r null  return */
        while (status = isspace(*line))
        {
                if (*line == '\t')
                        numtabs++;
                ++line; /* skip blanks or tabs */
        }

        if ((*line == '\n') || (*line == '\0')) return NULL; /* if end of line o
r null  return */

        if (numtabs >= 2)
        {
                warningerror("Data missing in file. \n ", " ");
                *word++ = '0';
        }
        else
        {
                while (!(isspace(*line)) && (*line != '\0')) /* while not blanks
 or tabs */
                {
                        if ((*line == '\n') || (*line == '\0')) return NULL;
                        *word++ = *line++; /* fill word from line */
                }
        }

        *word++='\0';
        return line; /* return incremented line */
}

char *wordalloc(word1)
char *word1;
{
        char *p;
        int num;
        int strsize;
        strsize = strlen(word1)+ 1;
        p=(char*)MemAlloc("word",strsize);  /* allocate a space to store a word
*/
        if ((num=strcmp(word1,"#N/A")) == 0) /* if it is undefined */
                strcpy(p,"UND"); /* then fill with UND */
        else
                strcpy(p,word1);
        return p;
}

char *linealloc(line)
char *line;
{
        char *p;
        int num;
        int strsize;
        strsize = strlen(line)+ 1;
        p=(char*)MemAlloc("line",strsize);  /* allocate a space to store a word
*/

        strcpy(p,line);
        return p;
}

getline(s, lim,fp)
char s[];
int lim;
FILE *fp;
{
        int c,i;
        int noblanks;

        i = 0;
        noblanks = 0;
        while (--lim >0 && (c=fgetc(fp)) != EOF && c != '\n')
        {
                s[i++] = c;
                if(!(isspace(c)))
                        noblanks = 1;
        }
        if (c == '\n' || c == EOF) {
                s[i++] = '\n';
        }
        if (c == EOF) {
                i--;
                ungetc(c,fp);
        }
        s[i] = '\0';
        if(noblanks)
                return(i);
        else
                return 0;
}


