#include <stdio.h>
#include <math.h>
#include "resid.h"

/* util.c */
char *getword(char *line, char *word);
char *wordalloc(char *word1);
int getline(char s[], int lim, FILE *fp);
int loadwords(char s[], char blob[][]);


/* errhandle.c */
void fatalerror(char *s, char *t);
void fatalerrori(char *s, int t);
void fatalerror2(char *s, int *t, char *w);
void warningerror(char *s, char *t);
void warningerror3(char *s, char *t, double u, double v); 
void warningerrord(char *s, double d);
void warningerror2s(char *s, char *t, char *u);
void fatalerror2s(char *s,char *t, char *w);
void fatalerrors(char *s, char *t);  /* any string */
void open_errfile();
void put_name(char *ename);
void message(char *s, char *w);

/* main.c */
int main(int argc, char *argv[]);



/* mem.c */
char *MemAlloc(char *s, size_t size);
char *Reallocate(char *s, size_t size, char *spointer);


/* rin.c */
void get_resid(int argc,char *argv[]);
void getfilename(char *prompt,char *s);

/* resid.c */
void in_fread(FILE *fp, FILE *fpo,  char *fname);
void do_math(double *X2, double *Y2,int item,FILE *fpo, char *fname);

