#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "prototypes.p"


char *getword(char *line,char *word) /* get the next word from line and remove it from line
*/
{
        int i ,status,numtabs = 0;

        for (i=0;i<(LSTRLEN-1);i++) /*  for the length of the word */
                word[i] = ' '; /* set the word to blank */

        if ((*line == '\n') || (*line == '\0')) return NULL; /* if end of line o
r null  return */
        while (status = isspace(*line))
        {
                if (*line == '\t')
                        numtabs++;
                ++line; /* skip blanks or tabs */
        }

        if ((*line == '\n') || (*line == '\0')) return NULL; /* if end of line o
r null  return */

        if (numtabs >= 2)
        {
                warningerror("Data missing in file. \n ", " ");
                *word++ = '0';
        }
        else
        {
                while (!(isspace(*line)) && (*line != '\0')) /* while not blanks
 or tabs */
                {
                        if ((*line == '\n') || (*line == '\0')) return NULL;
                        *word++ = *line++; /* fill word from line */
                }
        }

        *word++='\0';
        return line; /* return incremented line */
}

char *wordalloc(char *word1)
{
        char *p;
        int num;
        int strsize;
		int i, decimal;

		decimal = 0;
        strsize = strlen(word1)+ 1;

		/* trim off zeros */
/*		for (i = 0; i < strsize-1; i++)
			if (word1[i] == '.')	decimal = 1;
		i = strsize -2;
		if (decimal == 1)
		{
			while ((word1[i] == '0') && (word1[i-1] != '.'))
			{
				word1[i] = '\0';
				i--;

			}
		} */
        p=(char*)MemAlloc("word",strsize);  /* allocate a space to store a word
*/
        if ((num=strcmp(word1,"#N/A")) == 0) /* if it is undefined */
                strcpy(p,"UND"); /* then fill with UND */
        else
                strcpy(p,word1);
        return p;
}




int loadwords(char *line,char words[][LSTRLEN]) /* get the next word from line and remove it from line
*/
{
        int  cnt;
		char lin[MAXLIN], *tmp,word[LSTRLEN];

		cnt = 0;
		strcpy(lin, line);
        if ((*line == '\n') || (*line == '\0')) return -1; 
   	 	while   ((tmp = getword(lin,word) ) != NULL)
		{
			strcpy(lin,tmp);
			strcpy(words[cnt], word);
			cnt++;
		}
		return cnt;
}

