#ifndef _MACHINE_PROTO_
#define _MACHINE_PROTO_
#ifdef __MWERKS__
#pragma once
#endif


/* machine.c */
void corespace(void);
void traceinstruction(FILE *fd);
void trace4list(long list);
void dumpregisters(FILE *fd);
void printopcode(FILE *fd, long pc);
void instruction(short op1, short op2);
void print_instr(short op1, char *t);
void setpc2label(char *label);
void interpret(void);
void GoTo(short symInx);
void FuncCall(short symInx);
void Trace0(void);
void Trace1(void);
void Trace2(void);
void Trace3(void);
void Trace4(void);
void Label(void);
void If(void);
void IfNot(void);
void mycompile(char *s);
void AnalyzeDatumPool(int flag);

#endif

