
/* robust.c */
double rhoprim(double u);
double integrand(double x);
double simpson(int n);
void getintegral(void);
double interpolate(double x, int n, double v[], double h);
double lininterp(double x, double table[]);
void getfaircon(double ARE);
void gettrimcon(double ARE);
void gettukeycon(double ARE);
void gethubercon(double ARE);
void getcon(void);
double ulength(double u[], int i, int n);
double rhofn(double u[], int i, int n);
double Weightfn(double u[], int i, int n);
double Weightfnp(double u[], int i, int n);
double psifn(double u[], int i, int n);
double psipfn(double u[], int i, int j, int n);
double oldpsipfn(double u[], int i, int j, int n);
