#include <stdio.h>
#include <math.h>
#include "prototypes.p"




char *MemAlloc(char *s, size_t size)
{
	char *x;

	if (abs(size) > 1E8)
		fatalerror("Size is greater than 2E32 --%s\n",s);
		/* error if not enough memory */
	if((x = (char *)malloc(size)) == NULL) /* Allocate the memory */
			fatalerror("Memory Manager Error in Allocation--%s\n",s); /* error if not enough memory */
	return x;
}

char *Reallocate(char *s, size_t size, char *spointer)
{
	char *x;

	if (abs(size) > 1E8)
		fatalerror("Size is greater than 2E32 --%s\n",s);

	if ((x = (char*)realloc((void*)spointer,size+8)) == NULL)/* reallocate rowarray */
			fatalerror("Memory Manager Error in Reallocation. Allocated pointer is NULL. --%s\n",s);
	return x;
}
