
/* Header file for Tables */

#ifndef TABLECOLS
#define TABLECOLS 100                   /* max columns */
#define TABLEROWS 500                   /* max rows */
#define STRLEN 10                     /* length of a string */
#define LSTRLEN 24                    /* length of a string */
#define MAXLIN  2000                   /* maximum size of column line */
#define DBL_DIG    18        /* fractional significance IEEE standard */
#define EOLCOM  40                   /* maximum size of column line */
#define UND 3.2767E25                   /* define Bill's NaN */
#define LUND 3.2E25                   /* lower limit NaN */
#define UUND 3.3E25                   /* upper limit NaN */
#define DIM 4
#define maxval(x,y)       (((x)>=(y))?(x):(y)) /* maximum of 2 arguments */
#endif




