
/* matrixman.c */
void matxpose(MATRIX A, MATRIX B, int p, int q);
void matcopy(MATRIX A, MATRIX B, int p, int q);
void matadd(MATRIX A, MATRIX B, MATRIX C, int p, int q);
void matsub(MATRIX A, MATRIX B, MATRIX C, int p, int q);
void matmpy(MATRIX A, MATRIX B, MATRIX C, int p, int r, int q);
void matmpyd(MATRIX A, MATRIX B, MATRIX C, int p, int r, int q);
void matvecmpy(MATRIX A, VECTOR B, VECTOR C, int p, int q);
void cholesky(MATRIX A, int p);
void mat_inv(MATRIX A, int p);
void ut_inv(MATRIX A, int p);
void matprint(MATRIX A, int p, int q);
void matfprint(MATRIX A, int p, int q);
int search(int *n, char *names[MATSIZE ], char *str);
void covarname(char *x, char *y, char *name);
double getsigma(char *x, char *y);
void banner(void);
void computewt(int m, long k[MATSIZE ], VECTOR rhs, MATRIX L);
int qcompar(double *a, double *b);
void initwobblefix(void);
void addmeandu(int i, double val);
void freemeandu(void);
int getvar_zero(void);
int getvar_nonzero(void);
