
/* simplermidas.c */
void printchars(FILE *fd, MIDAS *table, int i, int j);
void loaddouble(MIDAS *table, int i, int j, char *word);
long strsum(char *str);
MIDAS *midasnew(void);
void midasfree(MIDAS *table);
void midasaddrow(MIDAS *table);
void midasaddcol(MIDAS *table, char *name, short type);
void midaschangecoltype(MIDAS *table, int col, short type);
void gettableheader(FILE *fd, MIDAS *table);
void midasread(FILE *fd, MIDAS *table);
MIDAS *midasopen(char *fname);
MIDAS *midaswrite(MIDAS *table, char *outname, short closeit);
int rowcolrangecheck(MIDAS *table, int i, int j, short fatal);
int findcolumn(MIDAS *table, char *name);
int findcolumnsum(MIDAS *table, char *name, long namesum);
void putmidasvalcol(MIDAS *table, int row, int col, double dval);
void putmidasstr(MIDAS *table, char *name, int row, char *cval);
void putmidasstrcol(MIDAS *table, int row, int col, char *cval);
void putmidasval(MIDAS *table, char *name, int row, double dval);
double getmidasval(MIDAS *table, char *name, int row);
char *getmidasstr(MIDAS *table, char *name, int row);
char *getword(char *line, char *word);
char *wordalloc(char *word1);
int getline(char s[], int lim, FILE *fd);
void copytable(MIDAS *table, char *outtable);
int getnumrows(MIDAS *table);
int getnumcols(MIDAS *table);
char *getcolname(int col, MIDAS *table);
int changecolname(MIDAS *table, char *oldname, char *newname);
int setundef(MIDAS *table, char *colname, int row, char *type);
